aboutsummaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorPeter Wilmott <p@p8952.info>2014-01-16 18:06:55 +0000
committerPeter Wilmott <p@p8952.info>2014-01-16 18:19:44 +0000
commit42cb600f8a7b34c4918c4177ac0f168ca708beca (patch)
tree2c0616da02b833a95c59375caeb763bce7bf2977
parentdev-ruby/ast: dependency for rubocop (diff)
downloadruby-overlay-42cb600f8a7b34c4918c4177ac0f168ca708beca.tar.gz
ruby-overlay-42cb600f8a7b34c4918c4177ac0f168ca708beca.tar.bz2
ruby-overlay-42cb600f8a7b34c4918c4177ac0f168ca708beca.zip
dev-ruby/parser: dependency for rubocop
Package-Manager: portage-2.2.7
-rw-r--r--dev-ruby/parser/ChangeLog8
-rw-r--r--dev-ruby/parser/Manifest1
-rw-r--r--dev-ruby/parser/metadata.xml5
-rw-r--r--dev-ruby/parser/parser-2.1.4.ebuild32
4 files changed, 46 insertions, 0 deletions
diff --git a/dev-ruby/parser/ChangeLog b/dev-ruby/parser/ChangeLog
new file mode 100644
index 0000000..bce4449
--- /dev/null
+++ b/dev-ruby/parser/ChangeLog
@@ -0,0 +1,8 @@
+# ChangeLog for dev-ruby/parser
+# Copyright 1999-2014 Gentoo Foundation; Distributed under the GPL v2
+# $Header: $
+
+*parser-2.1.4 (16 Jan 2014)
+
+ 16 Jan 2014; Peter Wilmott <p@p8952.info> +metadata.xml, +parser-2.1.4.ebuild:
+ dev-ruby/parser: dependency for rubocop
diff --git a/dev-ruby/parser/Manifest b/dev-ruby/parser/Manifest
new file mode 100644
index 0000000..586d9da
--- /dev/null
+++ b/dev-ruby/parser/Manifest
@@ -0,0 +1 @@
+DIST parser-2.1.4.gem 314880 SHA256 c038bdc91db5b94dbceaf5253ca78ec759c52f74be607e1cf63d21591d632a97 SHA512 bd4114306a40e91baf348f1445b9f197b58d0bbc8d3baab4133bc478db6f3a40348eecb404add0225eabbf807fb2c94188d9b0b224b762226506d6a88685a97a WHIRLPOOL b77dbab6ae75aba2bc23dc36a8065ed03e77667b85563d290eee866d095a3e844b82e5c3695b765b1be03518f75cbb11fd4b2c4a2aaabd2870db288b64b0e52d
diff --git a/dev-ruby/parser/metadata.xml b/dev-ruby/parser/metadata.xml
new file mode 100644
index 0000000..8521361
--- /dev/null
+++ b/dev-ruby/parser/metadata.xml
@@ -0,0 +1,5 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd">
+<pkgmetadata>
+<herd>ruby</herd>
+</pkgmetadata>
diff --git a/dev-ruby/parser/parser-2.1.4.ebuild b/dev-ruby/parser/parser-2.1.4.ebuild
new file mode 100644
index 0000000..f32754e
--- /dev/null
+++ b/dev-ruby/parser/parser-2.1.4.ebuild
@@ -0,0 +1,32 @@
+# Copyright 1999-2014 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Header: /var/cvsroot/gentoo-x86/dev-ruby/timers/timers-1.1.0-r1.ebuild,v 1.1 2013/10/09 01:34:56 mrueg Exp $
+
+EAPI=5
+
+USE_RUBY="ruby19 ruby20"
+
+RUBY_FAKEGEM_RECIPE_DOC="yard"
+RUBY_FAKEGEM_EXTRADOC="CHANGELOG.md README.md"
+
+inherit ruby-fakegem
+
+DESCRIPTION="A Ruby parser written in pure Ruby."
+HOMEPAGE="https://github.com/whitequark/parser"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~amd64"
+IUSE=""
+
+ruby_add_bdepend "test? ( dev-ruby/minitest:5 )"
+ruby_add_rdepend ">=dev-ruby/ast-1.1 dev-ruby/slop:3"
+
+all_ruby_prepare() {
+ # Remove bundler dependency
+ sed -i -e "/require 'bundler\/gem_tasks'/d" Rakefile || die
+ # Remove cliver dependency
+ sed -i -e "/require 'cliver'/,+1d" Rakefile || die
+ # Remove simplecov/coveralls dependency
+ sed -i -e "/require 'simplecov'/,+1d" test/helper.rb || die
+}